Page MenuHomePhabricator

build: disable eolian implicit rules in subdir builds
ClosedPublic

Authored by zmike on Jul 23 2018, 4:46 AM.

Details

Summary

the ../ rules override the global rules to block actions which would
force eolian to generate files which should be managed by a higher
level makefile

this cuts a substantial amount of time out of distcheck from example
builds

Depends on D6659

Diff Detail

Repository
rEFL core/efl
Branch
master
Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 7001
zmike created this revision.Jul 23 2018, 4:46 AM
zmike requested review of this revision.Jul 23 2018, 4:46 AM
zmike added a child revision: D6661: ci: silence libtool.
zmike updated this revision to Diff 15894.Jul 25 2018, 8:53 AM
zmike edited the summary of this revision. (Show Details)
stefan_schmidt accepted this revision.Jul 30 2018, 9:00 AM
This revision is now accepted and ready to land.Jul 30 2018, 9:00 AM
This revision was automatically updated to reflect the committed changes.